This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 499315 - RH "My Front Page" does not include MODIFIED CC bugs
RH "My Front Page" does not include MODIFIED CC bugs
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
3.2
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Noura El hawary
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-06 00:51 EDT by Allen Kistler
Modified: 2009-05-08 06:10 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-08 06:10:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to add Modified CC bugs to frontpage.cgi (606 bytes, patch)
2009-05-06 10:20 EDT, Noura El hawary
dkl: review-
Details | Diff
v2 of adding modified to list of CC'd bugs im myfrontpage (1.11 KB, patch)
2009-05-08 06:10 EDT, Noura El hawary
no flags Details | Diff

  None (edit)
Description Allen Kistler 2009-05-06 00:51:10 EDT
Description of problem:
I am CCed on a bug in the MODIFIED state, but it doesn't show up on "My Front Page."

Version-Release number of selected component (if applicable):
3.2.3+ (according to the RH home page)

How reproducible:
Always (?)

Steps to Reproduce:
1. Add yourself to the CC list of a MODIFIED bug
2. Go to "My Front Page"
  
Actual results:
The bug isn't listed on "My Front Page"

Expected results:
It should be listed in "Open Issues: You Are CC'd On"

Additional info:
For me, the relevant bug is Bug 493753, but probably any MODIFIED bug could serve as a test.  It might be worth checking NEEDINFO, too, though I haven't checked that one myself.
Comment 1 Noura El hawary 2009-05-06 10:20:28 EDT
Created attachment 342661 [details]
patch to add Modified CC bugs to frontpage.cgi

Yes you are right, it was missing, thanks for pointing this out.

Attached is a patch that added MODIFIED CC bugs to my front page.

Cheers,
Noura
Comment 2 David Lawrence 2009-05-06 13:47:45 EDT
Comment on attachment 342661 [details]
patch to add Modified CC bugs to frontpage.cgi

>Index: frontpage.cgi
>===================================================================
>--- frontpage.cgi	(revision 1226)
>+++ frontpage.cgi	(working copy)
>@@ -382,6 +382,7 @@
>                                    "&bug_status=ON_QA&bug_status=FAILS_QA" .
>                                    "&bug_status=VERIFIED" .
>                                    "&bug_status=RELEASE_PENDING" .
>+                                   "&bug_status=MODIFIED" .
>                                    "&bug_status=POST&emailcc1=1&emailtype1=exact" .
>                                    "&email1=" . url_quote($user->login);
> }

You also need to add MODIFIED to the status list above this section for the query returned by Bugzilla::Search.

$params->param(-name => 'bug_status',
                   -value => ['NEW' ,'ASSIGNED', 'ON_DEV','ON_QA','VERIFIED','RELEASE_PENDING','MODIFIED','FAILS_QA','POST']);

Otherwise the results are diffferent on frontpage.cgi from what you get when you click on "show list".

Dave
Comment 3 Noura El hawary 2009-05-08 06:10:07 EDT
Created attachment 343065 [details]
v2 of adding modified to list of CC'd bugs im myfrontpage

Thanks for the review Dave, I fixed the patch and committed to cvs the attached one.

Noura

Note You need to log in before you can comment on or make changes to this bug.